pub mod triangle;

use vulkano::command_buffer::CommandBuffer;

use crate::vulkan::vulkan_context::VulkanContext;

pub trait Material {
    fn load(&self, vulkan_context: &VulkanContext);
    fn bind(&self, command_buffer: &mut CommandBuffer);
}
