use glam::Vec4;
use vulkano::command_buffer::CommandBuffer;

use super::Material;

pub mod shaders {
    pub mod vs {
        vulkano_shaders::shader! {
            ty: "vertex",
            path: r"res/shaders/vertex.vert",
        }
    }

    pub mod fs {
        vulkano_shaders::shader! {
            ty: "fragment",
            path: r"res/shaders/vertex.frag",
        }
    }
}

pub struct TriangleMaterial {
    pub colors: [Vec4; 3],
}

impl Material for TriangleMaterial {
    fn bind(&self, command_buffer: &mut CommandBuffer) {
        todo!()
    }

    fn load(&self, vulkan_context: &crate::vulkan::vulkan_context::VulkanContext) {
        todo!()
    }
}
